Buttons don't respond when editing content on 1.9.2

Bug #1336529 reported by Marylena Sevigney on 2014-07-01
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
1.9
High
Unassigned

Bug Description

We recently upgraded to 1.9.2 (yesterday!) When in Firefox 30 on a Mac or Chrome or IE 10 on a PC, there is a frozen button issue. While in the Edit Content area of a Portfolio page, and click any of the options under the "Media" section, the pop-up window appears frozen because Cancel and 'X' to close the window do not appear to be functional, but picking options and hitting Save does work. If you go through and pick options and get to the next window you can then hit Remove and "cancel" / back out of the process. The image attached was provided by a student who ran into the issue.

FYI - we are on PHP 5.3.3 and MySQL 5.6.14

Marylena Sevigney (mcsevigney) wrote :
description: updated
Marylena Sevigney (mcsevigney) wrote :

In addition, I have found that when in Firefox on Mac, I am unable to make edits to block options, such as titles, images sizes, etc.

Son Nguyen (ngson2000) wrote :

Hi Marylena;

Thank you for your bug report.

Unfortunately, I can not reproduce your issue.
Can you please check if it happens in Firefox on PC or Ubuntu as well?

Thanks

from Marylena:

Just tried on the Demo site with Firefox 30 from a Mac, running system 10.7.5, and I have the same problems. If I click on the image or text button, the next window buttons are unresponsive except for the Save button. Once inside the edit content window, the cursor does not show up in the title or image size fields, so it looks like they don't work, but If I type the text changes.

Son Nguyen (ngson2000) wrote :

Hi Marylena,

I can now reproduce the issue about the disappeared cursor with Firefox on Mac. This issue is related to the bug 1334501 and will be fixed in the next release. The patch for it is in our review system at the moment: https://reviews.mahara.org/#/c/3460.

You are welcome to verify the patch.

For the other issue, I hope it also be fixed by the above patch

Cheers,
Son

Reviewed: https://reviews.mahara.org/3488
Committed: http://gitorious.org/mahara/mahara/commit/ee13dfb4d85bd383b8e9ee4f16947c552922ee4b
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ee13dfb4d85bd383b8e9ee4f16947c552922ee4b
Author: Son Nguyen <email address hidden>
Date: Thu Jun 26 21:59:41 2014 +1200

Fix the handler functions for mouse click. (Bug 1336529)

also
+ add the function isHit() to check if the mouse button down is <LEFT>
or the key down is <Enter> or <Space>
This should work for Mac mouse as well

Change-Id: I0139f9d8d01ca005789290cf99d7ac3c37b14a28

Robert Lyon (robertl-9) wrote :

This bug should be resolved by both the patch fix 3460 on bug 1334501 and the patch 3488 here.

Changed in mahara:
status: New → In Progress
milestone: none → 1.10.0
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3495

Reviewed: https://reviews.mahara.org/3495
Committed: http://gitorious.org/mahara/mahara/commit/51507a5e845b1514942485af7436b7810caa6fff
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 51507a5e845b1514942485af7436b7810caa6fff
Author: Robert Lyon <email address hidden>
Date: Mon Jul 21 08:14:49 2014 +1200

Errors when submitting addblock form by keypress (Bug 1336529)

Pushing enter when not on the submit or cancel buttons causes an error

Change-Id: I10a861ed5825c877a13a73a54fd4244d7bfd6cab
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-07-31
Changed in mahara:
status: Fix Committed → In Progress
status: In Progress → Fix Committed
Marylena Sevigney (mcsevigney) wrote :

We have installed the Patch above. It seems to have fixed the issue on Chrome/PC, but not on a Firefox/Mac.

Marylena Sevigney (mcsevigney) wrote :

It appears that the patch also does not fix the issue on a PC in Firefox or IE.

Changed in mahara:
importance: Undecided → High
Steven (stevens-q) wrote :

=== How to Test ===
**Precondition**
While in the Edit Content area of a Portfolio page
**Steps**
1. click any of the options under the "Media" section (do not drag and drop)
2. pop-up window appears
3. click the "Cancel" button
4. confirm that the selected content modal cancels the action and user is returned to the Portfolio page in edit mode ✔
5. repeat steps 1&2 above
6. click the "X" to close the window
7. confirm that the selected content modal cancels the action and user is returned to the Portfolio page in edit mode. ✔
8. repeat steps 1&2 above
9. make the appropriate selection and click the save button
10 confirm that if you go through and pick options and get to the next window you can then hit Remove and "cancel" / back out of the process. ✔
11. confirm that the appropriate content block is displayed on the page after the modal disappears. ✔

Test on the following devices
1. Firefox 30 on a Mac ✔
2. Chrome on a PC (linux) ✔
3. IE 10 on a PC (windows 8) ✔

=== Test results ===
test results were as expected
Catalyst QA Approved ✔

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/3489
Committed: http://gitorious.org/mahara/mahara/commit/ac9a0b2374e475a7be9531b2474eead03d31e61a
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.9_STABLE

commit ac9a0b2374e475a7be9531b2474eead03d31e61a
Author: Son Nguyen <email address hidden>
Date: Thu Jun 26 21:59:41 2014 +1200

Fix the handler functions for mouse click. (Bug 1336529)

also
+ add the function isHit() to check if the mouse button down is <LEFT>
or the key down is <Enter> or <Space>
This should work for Mac mouse as well

Change-Id: I0139f9d8d01ca005789290cf99d7ac3c37b14a28

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3559
Committed: http://gitorious.org/mahara/mahara/commit/5cca4f27bee042baba20452ef3ed47d7eea03733
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.9_STABLE

commit 5cca4f27bee042baba20452ef3ed47d7eea03733
Author: Robert Lyon <email address hidden>
Date: Mon Jul 21 08:14:49 2014 +1200

Errors when submitting addblock form by keypress (Bug 1336529)

Pushing enter when not on the submit or cancel buttons causes an error

Change-Id: I10a861ed5825c877a13a73a54fd4244d7bfd6cab
Signed-off-by: Robert Lyon <email address hidden>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments